English French German Spanish Russian
Trying to compile from source - Mutual Mac - Ryzom Community ForumHomeGuest

Mutual Mac


uiWebPrevious1uiWebNext

#1 [en] 

As title suggests, I'm trying to compile from source on a Fedora 19 system. I think I have all dependencies solved by now, feel free to ask about specific packages. Currently I'm getting the following:
[root@localhost code]# mkdir $RYHOME/build && cd $RYHOME/build
[root@localhost build]# cmake -DWITH_NET_TESTS=OFF ..
-- The CXX compiler identification is GNU 4.7.2
-- The C compiler identification is GNU 4.7.2
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Looking for include file execinfo.h
-- Looking for include file execinfo.h - found
-- Looking for include file stdint.h
-- Looking for include file stdint.h - found
-- Looking for include file sys/types.h
-- Looking for include file sys/types.h - found
-- Looking for include file inttypes.h
-- Looking for include file inttypes.h - found
-- Looking for include file unistd.h
-- Looking for include file unistd.h - found
-- Looking for include file utime.h
-- Looking for include file utime.h - found
-- Looking for include file dl.h
-- Looking for include file dl.h - not found
-- Looking for include file limits.h
-- Looking for include file limits.h - found
-- Looking for include file malloc.h
-- Looking for include file malloc.h - found
-- Looking for include file sys/param.h
-- Looking for include file sys/param.h - found
-- Looking for include files sys/param.h, sys/mount.h
-- Looking for include files sys/param.h, sys/mount.h - found
-- Looking for include file sys/statvfs.h
-- Looking for include file sys/statvfs.h - found
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for stddef.h
-- Looking for stddef.h - found
-- Check size of size_t
-- Check size of size_t - done
-- DEBUG size_t is 8
-- Check size of off_t
-- Check size of off_t - done
-- DEBUG off_t is 8
-- Looking for backtrace
-- Looking for backtrace - found
-- Looking for getsockname
-- Looking for getsockname - found
-- Looking for inet_ntoa
-- Looking for inet_ntoa - found
-- Looking for inet_ntop
-- Looking for inet_ntop - found
-- Looking for inet_pton
-- Looking for inet_pton - found
-- Looking for regcomp
-- Looking for regcomp - found
-- Looking for strerror
-- Looking for strerror - found
-- Looking for strlcat
-- Looking for strlcat - not found
-- Looking for strptime
-- Looking for strptime - found
-- Looking for strtok_r
-- Looking for strtok_r - found
-- Looking for strtoull
-- Looking for strtoull - found
-- Looking for statvfs
-- Looking for statvfs - found
-- Looking for stat64
-- Looking for stat64 - found
-- Found Mercurial: /usr/bin/hg
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:108 (message):
Could NOT find LibXml2 (missing: LIBXML2_LIBRARIES LIBXML2_INCLUDE_DIR)
Call Stack (most recent call first):
/usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:315 (_FPHSA_FAILURE_MESSAGE)
/usr/share/cmake/Modules/FindLibXml2.cmake:62 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
CMakeLists.txt:110 (FIND_PACKAGE)


-- Configuring incomplete, errors occurred!

Target architecture is x64 (i3 processor), any help getting this compiled and if possible optimized is appreciated.

edit:

Since compiler complains about libxml2 ..
[root@localhost build]# yum install libxml2
Loaded plugins: langpacks, presto, refresh-packagekit
Package libxml2-2.9.1-1.fc18.1.x86_64 already installed and latest version
Nothing to do

Edited 2 times | Last edited by Mjollren (4 years ago)

---

#2 [en] 

do you have libxml2 devel package installed?

---

Hello!

#3 [en] 

No, I did not. Installed now, closest match I could find:
[root@localhost build]# yum install libxml2-devel.x86_64

(snip)

Installed:
libxml2-devel.x86_64 0:2.9.1-1.fc18.1

Dependency Installed:
xz-devel.x86_64 0:5.1.2-2alpha.fc18 zlib-devel.x86_64 0:1.2.7-9.fc18

Complete!

edit: Installed libpng devel too, apparently it's needed.

Current errors:
[root@localhost build]# cmake -DWITH_NET_TESTS=OFF ..
-- DEBUG size_t is 8
-- DEBUG off_t is 8
-- Found PNG: /usr/lib64/libpng.so (found version "1.5.13")
-- Warning: Unable to find Jpeg!
-- Warning: Unable to find CppTest!
-- Warning: Libwww: Library not found: LIBWWWAPP_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWCORE_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWFILE_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWHTML_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWHTTP_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWMIME_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWCACHE_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWSTREAM_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWTRANS_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWUTILS_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWFTP_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWGOPHER_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWNEWS_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWTELNET_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWDIR_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWINIT_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWMUX_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWXML_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWZIP_LIBRARY
-- Warning: Libwww: Library not found: LIBXMLPARSE_LIBRARY
-- Warning: Libwww: Library not found: LIBXMLTOK_LIBRARY
-- Warning: Libwww: Library not found: LIBWWWSSL_LIBRARY
-- Warning: Libwww: Library not found: LIBMD5_LIBRARY
-- Warning: Libwww: Library not found: LIBPICS_LIBRARY
-- Warning: Libwww: Library not found: LIBREGEX_LIBRARY
-- Could NOT find LibWWW (missing: LIBWWW_LIBRARIES LIBWWW_INCLUDE_DIR)
-- Warning: Unable to find FreeType!
-- Warning: Unable to find Ogg!
-- Warning: Unable to find Vorbis!
-- Could NOT find OpenAL (missing: OPENAL_LIBRARY OPENAL_INCLUDE_DIR)
CMake Error at /usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:108 (message):
Could NOT find OpenGL (missing: OPENGL_gl_LIBRARY)
Call Stack (most recent call first):
/usr/share/cmake/Modules/FindPackageHandleStandardArgs.cmake:315 (_FPHSA_FAILURE_MESSAGE)
/usr/share/cmake/Modules/FindOpenGL.cmake:165 (FIND_PACKAGE_HANDLE_STANDARD_ARGS)
nel/src/3d/driver/opengl/CMakeLists.txt:1 (FIND_PACKAGE)


CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
FREETYPE_INCLUDE_DIRS
used as include directory in directory /home/alex/ryzom/ryzomcore/code/nel/src/3d
used as include directory in directory /home/alex/ryzom/ryzomcore/code/nel/src/3d
FREETYPE_LIBRARY
linked by target "nel3d" in directory /home/alex/ryzom/ryzomcore/code/nel/src/3d

-- Configuring incomplete, errors occurred!

Last edited by Mjollren (4 years ago)

---

#4 [en] 

You need png devel package now.

Check the packages you need from wiki
https://ryzomcore.atlassian.net/wiki/display/RC/Build+Source+on+L inux

Find and install matching -devel package for all ubuntu -dev packages. They should be similarly named (ie. libpng12-dev is libpng12-devel)

---

Hello!

#5 [en] 

It seems libwww-dev is missing, try checking here:
http://dev.ryzom.com/projects/ryzom/wiki/BuildForLinuxCmake

Ciao

#6 [en] 

You miss a few more libs

libvorbis
freetype2

and libwww-dev or libwww-ssl-dev
uiWebPrevious1uiWebNext
 
Last visit Thu Jan 18 01:51:45 2018 UTC
P_-1:

powered by ryzom-api